CC-3705: Dependecy for php-db removed, but still required by install script

-fixed
This commit is contained in:
Martin Konecny 2012-04-25 10:11:24 -04:00
parent eec14f9592
commit 80d0f8f4f3
1 changed files with 2 additions and 11 deletions

View File

@ -75,14 +75,10 @@ SCRIPT=`readlink -f $0`
SCRIPTPATH=`dirname $SCRIPT`
AIRTIMEROOT=$SCRIPTPATH/../
#Check if required zend mvc and php-db libraries are present. This is a temporary workaround for 2.0.1,
#and we should probably create a seperate file that checks whether ALL dependencies are satisfied before
#Check if required zend mvc library is present. This is a temporary workaround for 2.0.1,
#and we should probably create a separate file that checks whether ALL dependencies are satisfied before
#allowing the install to continue. However in that case, we wouldn't check for Debian packages so that we
#can become less Debian platform dependent in the future...
set +e
dpkg -l | grep php-db > /dev/null 2>&1
PHP_DB=$?
dpkg -l | grep zendframework > /dev/null 2>&1
ZENDFRAMEWORK=$?
@ -90,11 +86,6 @@ dpkg -l | grep libzend-framework-php > /dev/null 2>&1
LIBZEND=$?
set -e
if [ "$PHP_DB" != "0" ]; then
echo "php-db package missing. Please run airtime-full-install"
exit 1
fi
if [ "$ZENDFRAMEWORK" != "0" -a "$LIBZEND" != "0" ]; then
echo "zendframework/libzend-framework-php package missing. Please run airtime-full-install"
exit 1